# Stuff to be implemented externally :
Source10: kmodtool_nocommon
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.31-3}

%define kmod_name fglrx
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)
%define kvariants PAE ""

%define upvar ""
#%{!?kvariants: %define kvariants %{?upvar}}
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar}  %{?xenvar} }


Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	ATI proprietary driver for ATI Radeon graphic cards, kernel part
Name: 		%{kmod_name}-kmod
Version: 	9.7
Release: 	3.%(echo %{kverrel} | tr - _)
Epoch:		3
Group: 		System/Kernel
License: 	Distributable
URL:            http://www.ati.com/support/drivers/linux/radeon-linux.html

Source0:        http://www.leemhuis.info/files/fedorarpms/KMODFILES.lvn/fglrx-kmod-data-%{version}.tar.bz2
# Helper script to prepare SOURCE0 tarball from binary installer
Source1:	prep_fglrx.sh

# this is an amalgamation of patches found at http://aur.archlinux.org/packages.php?ID=22899
# and hacked to compile against linux 2.6.30.3
Patch1:		fglrx-linux2630.patch

ExclusiveArch:  i686
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:	kernel-module-fglrx

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
This Package contains the kernel modules required for 3D acceleration with
the ATI proprietary driver for ATI Radeon graphic cards.  This package is
built for kernel %{kernel} (%{_target_cpu}).


# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
pwd
%patch1 -p0
mkdir fglrxpkg
%ifarch %{ix86}
cp -r fglrx/common/* fglrx/arch/x86/* fglrxpkg/
%endif

%ifarch x86_64
cp -r fglrx/common/* fglrx/arch/x86_64/* fglrxpkg/
%endif

for kvariant in %{kvariants} ; do
    cp -a fglrxpkg/ _kmod_build_$kvariant
    pushd _kmod_build_$kvariant
    find lib/modules/fglrx/build_mod/ usr/share/doc  -type d -print0 | xargs -0 chmod 0755
    find lib/modules/fglrx/build_mod/ -type f -print0 | xargs -0 chmod 0644
    popd
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    pushd _kmod_build_${kvariant%%___*}/lib/modules/fglrx/build_mod/2.6.x
    make CC="gcc" PAGE_ATTR_FIX=0 KERNEL_PATH="/usr/src/kernels/%{kversion}.%{_target_cpu}${kvariant:+.$kvariant}"
    popd
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 0644 _kmod_build_$kvariant/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}/fglrx.ko
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*



%clean
%{__rm} -rf %{buildroot}



%changelog
* Sat Aug 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 3:9.7-4
- kernel 2.6.31-3
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:9.7-3
- kernel 2.6.31-2
* Tue Jul 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:9.7-2
- kernel 2.6.31-1
* Mon Jul 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:9.7-1
- version update
- kernel 2.6.30-7
* Fri Jan 30 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:9.1-1
- version update
* Mon Jan 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-7
- kernel 2.6.28-4
* Mon Jan 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-6
- kernel 2.6.28-3
* Fri Jan 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-5
- kernel 2.6.28-2
* Thu Dec 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-4
- kernel 2.6.28-1
* Thu Dec 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-3
- kernel 2.6.27-18
* Thu Dec 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-2
- kernel 2.6.27-17
* Thu Dec 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.12-1
- version update
* Mon Dec 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.11-3
- kernel 2.6.27-16
* Sat Nov 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.11-2
- kernel 2.6.27-15
* Sat Nov 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.11-1
- version update
- kernel 2.6.27-14
* Mon Sep 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.9-2
- kernel 2.6.27-2
* Thu Sep 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.9-1
- version update
* Wed Sep 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.8-4
- kernel 2.6.27-1
* Tue Sep 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.8-3
- kernel 2.6.26-10
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.8-2
- kernel 2.6.26-9
* Thu Aug 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.8-1
- version update
- kernel 2.6.26-8
* Thu Aug 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.7-5
- kernel 2.6.26-7
* Wed Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.7-4
- kernel 2.6.26-6
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.7-3
- fixed kernel dependencies
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.7-2
- kernel 2.6.26-5
* Thu Jul 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.7-1
- version update
* Thu Jul 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-9
- kernel 2.6.26-4
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-8
- kernel 2.6.26-3
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-7
- kernel 2.6.26-2
* Fri Jul 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-6
- kernel 2.6.26-1
* Fri Jul 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-5
- kernel 2.6.25-15
* Mon Jun 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-4
- kernel 2.6.25-14
* Wed Jun 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-3
- kernel 2.6.25-12
* Sun Jun 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-2
- kernel 2.6.25-11
* Sat Jun 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.6-1
- version update
- kernel 2.6.25-10
* Tue Jun 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.5-3
- kernel 2.6.25-9
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.5-2
- kernel 2.6.25-8
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.5-1
- version update
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.4-5
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.4-4
- kernel 2.6.25-6
* Wed May 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.4-3
- kernel 2.6.25-5
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.4-2
- kernel 2.6.25-4
* Thu Apr 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.4-1
- version update
- kernel 2.6.25-3
* Wed Mar 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.3-2
- kernel 2.6.24-11
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2:8.3-1
- version update
- kernel 2.6.24-10
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:8.02-1
- version update
* Fri Jan 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:8.01-2
- kernel 2.6.24-9
* Sat Jan 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:8.01-1
- version update
- kernel 2.6.24-8
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:7.12-4
- kernel 2.6.24-7
* Sun Dec 30 2007 Christian Metzen <metzench@ccux-linux.de> 1:7.12-3
- kernel 2.6.24-6
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:7.12-2
- kernel 2.6.24-5
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:7.12-1
- version update
- kernel 2.6.24-4
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:7.11-2
- kernel 2.6.24-3
* Sun Nov 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:7.11-1
- version update, new ATI versioning scheme
- kernel 2.6.24-1
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.42.3-3
- kernel 2.6.23-7
* Fri Oct 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.42.3-2
- kernel 2.6.23-6
* Wed Oct 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.42.3-1
- Version update
* Sat Oct 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.40.4-5
- kernel 2.6.23-5
* Thu Oct 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.40.4-4
- adjusted kernel patch
* Thu Oct 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.40.4-3
- kernel 2.6.23-1
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.40.4-2
- kernel 2.6.22-7
* Wed Aug 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.40.4-1
- version update
- kernel 2.6.22-3
* Tue Jul 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.38.6-1
- version update
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.37.6-2
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.37.6-1
- version update
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.36.5-3
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.36.5-2
- kernel 2.6.21-1
* Fri Apr 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.36.5-1
- Version update
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.34.8-2
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.34.8-1
- Version update
- kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.33.6-5
- kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.33.6-4
- kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.33.6-3
- kernel 2.6.20-2
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.33.6-2
- kernel 2.6.20-1
* Thu Jan 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.33.6-1
- Version update
- kernel 2.6.19-6
* Thu Dec 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.32.5-1
- Version update
- kernel 2.6.19-3
* Wed Nov 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.30.3-1
- Version update
- kernel 2.6.18-4
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.29.6-5
- kernel 2.6.18-4
* Thu Oct 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.29.6-4
- kernel 2.6.18-3
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.29.6-3
- kernel 2.6.18-2
* Sun Oct 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.29.6-2
- kernel 2.6.18-1
* Mon Sep 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.29.6-1
- Version update
* Thu Sep 14 2006 Christian Metzen <metzench@ccux-linux.de> 8.28.8-1
- Version update
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.27.10-2
- kernel 2.6.17-3
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.27.10-1
- Version update, kernel 2.6.17-2
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.26.18-1
- Version update, kernel 2.6.17-1
* Sat Jun 10 2006 Christian Metzen <metzench@ccux-linux.de> 8.25.18-1
- Version update, kernel 2.6.16-6
* Sat May 13 2006 Christian Metzen <metzench@ccux-linux.de> 8.24.8-3
- Kernel 2.6.16-5
* Wed May 10 2006 Christian Metzen <metzench@ccux-linux.de> 8.24.8-2
- Kernel 2.6.16-4
* Fri Apr 21 2006 Christian Metzen <metzench@ccux-linux.de> 8.24.8-1
- Initial Release with new kmod helper
